random_ether_addr
Prev | Driver Support | Next

## Name

random_ether_addr — Generate software assigned random Ethernet address

## Synopsis

`void random_ether_addr (` | u8 * | addr`)`;

## Arguments

`addr`

  Pointer to a six-byte array containing the Ethernet address

## Description

Generate a random Ethernet address (MAC) that is not multicast and has the local assigned bit set.

Prev | Up | Next
is_valid_ether_addr | Home | compare_ether_addr